using SanShared;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SanSystem
{
    class Global
    {
        public static readonly Global instance = new Global();

        const string speicherpfad_to_projekts = "projekte";
        string projektpfad = "18-850";

        public string Projektpfad
        {
            get
            {
                return Path.Combine(speicherpfad_to_projekts, projektpfad);
            }
        }
        public ILanguage language = null;

        public static Global Instance
        {
            get
            {
                return instance;
            }
        }



        public void LoadLanguage()
        {
            language = Language.Language.GetLanguage(Language.BUILTINLANGUAGES.GERMAN);
        }
    }
}
